%define api     0.3
%define major	3
%define libname		%mklibname wps %{api} %{major}
%define develname	%mklibname -d wps

Summary:	Library for reading and converting Microsoft Works word processor documents
Name:		libwps
Epoch:		1
Version:	0.3.0
Release:	1
Group:		Office
License: 	LGPLv2+
URL: 		http://libwps.sourceforge.net/
Source0:	http://downloads.sourceforge.net/libwps/libwps/%{name}-%{version}.tar.bz2

BuildRequires: doxygen
BuildRequires: pkgconfig(libwpd-0.10)
BuildRequires: boost-devel

%description
Library that handles Microsoft Works documents.

%package tools
Requires: %{libname} = %{EVRD}
Summary: Tools to transform Works documents into other formats
Group: Publishing

%description tools
Tools to transform Works documents into other formats.
Currently supported: html, raw, text

%package -n %{libname}
Summary: Library for reading and converting Microsoft Works word processor documents
Group: System/Libraries
Obsoletes: %mklibname wps- 0.1 1

%description -n %{libname}
Library that handles Microsoft Works documents.

%package -n %{develname}
Summary: Files for developing with libwps
Group: Development/C++
Requires: %{libname} = %{EVRD}
Provides: libwps-devel = %{EVRD}

%description -n %{develname}
Includes and definitions for developing with libwps.

%package docs
Requires: %{develname} = %{EVRD}
Summary: Documentation of libwps API
Group: Development/C++

%description docs
Documentation of libwps API for developing with libwps

%prep
%setup -q

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
%makeinstall_std

%files tools
%{_bindir}/wks2raw
%{_bindir}/wks2csv
%{_bindir}/wks2text
%{_bindir}/wps2html
%{_bindir}/wps2raw
%{_bindir}/wps2text

%files -n %{libname}
%{_libdir}/libwps-%{api}.so.%{major}*

%files -n %{develname}
%{_libdir}/libwps*-%{api}.so
%{_libdir}/pkgconfig/libwps*.pc
%{_includedir}/*

%files docs
%{_docdir}/libwps*


%changelog
* Thu Aug 21 2014 sokol <sergey.sokolov@rosalab.ru> 1:0.3.0-1
+ Revision: e7f8e45
- Merge pull request #2 from sokol/libwps:rosa2014.1
- up to 0.3.0


